> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outerport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update document file content

> Trigger processing of a document after client has uploaded to storage.

## Update document file content

Trigger processing of a document after client has uploaded to storage.

### Path Parameters

<ParamField path name="document_id" type="integer" required>
  No description provided
</ParamField>

### Request Body

This endpoint requires a request body.

<RequestExample>
  ```json
  {
    "upload_url": "string"
  }
  ```
</RequestExample>

### Response

<ResponseField name="data" type="object">
  The response data for this endpoint.
</ResponseField>

<ResponseExample>
  ```json
  {
    "job_status_id": 123,
    "status": "string",
    "error_message": {},
    "document_id": {}
  }
  ```
</ResponseExample>
